﻿using System;

namespace MachinaAurum.Xna.Bus
{
    public interface IBusObservable
    {
        event EventHandler<CommandSentEventArgs> OnCommandSent;
        event EventHandler<DomainEventSentEventArgs> OnDomainEventSent;

        IObservable<IDomainEvent> DomainEvents { get; }
        IObservable<ICommand> Commands { get; }
    }
}
