﻿using Microsoft.Xna.Framework.Content;

namespace MachinaAurum.Xna.Graphics.ContentTypeReaders
{
    public class AurumVertexBufferReader : ContentTypeReader
    {
        IAurumVertexBufferReader Reader;

        public AurumVertexBufferReader( IAurumVertexBufferReader reader )
            : base(typeof(IAurumVertexBuffer))
        {
            Reader = reader;
        }

        protected override object Read(ContentReader input, object existingInstance)
        {
            var wrapper = new ContentReaderWrapper(input);
            return Reader.Read(wrapper);
        }
    }
}
