﻿
namespace MachinaAurum.Xna.Graphics
{
    public abstract class AurumVertexBuffer : IAurumVertexBuffer
    {
        public virtual IAurumEffect Effect { get; set; }

        abstract public void SetData(byte[] data);
        abstract public void Create();

        abstract public void Apply();

        #region IDisposable Members

        protected abstract void Dispose(bool cleanManaged);
        public void Dispose()
        {
            Dispose(true);
        }

        #endregion
    }
}
