﻿namespace MachinaAurum.Xna
{
    public interface IAurumModel
    {
        System.Collections.Generic.IEnumerable<MachinaAurum.Xna.IAurumModelBone> Bones { get; }
        void CopyAbsoluteBoneTransformsTo(Microsoft.Xna.Framework.Matrix[] destinationBoneTransforms);
        void CopyBoneTransformsFrom(Microsoft.Xna.Framework.Matrix[] sourceBoneTransforms);
        void CopyBoneTransformsTo(Microsoft.Xna.Framework.Matrix[] destinationBoneTransforms);
        void Draw(Microsoft.Xna.Framework.Matrix world, Microsoft.Xna.Framework.Matrix view, Microsoft.Xna.Framework.Matrix projection);
        System.Collections.Generic.IEnumerable<MachinaAurum.Xna.IAurumModelMesh> Meshes { get; }
        MachinaAurum.Xna.IAurumModelBone Root { get; }
        object Tag { get; set; }
    }
}
