﻿using System;
using System.ComponentModel.Composition;

namespace MachinaAurum.WebServer
{
    [MetadataAttribute]
    [AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = false)]
    public sealed class ControllerAttribute : ExportAttribute, IControllerMetada
    {
        public ControllerAttribute()
            : base(typeof(IController))
        {
        }

        #region IConsoleControllerMetadata Members

        public string Name { get; set; }

        #endregion
    }
}
