﻿using System;
using System.Linq.Expressions;
using System.Reflection;

public static class ByReflection
{
    public static EventInfo Event<TItem, TEvent>(Expression<Func<TItem, TEvent>> func)
    {
        MemberExpression field = (MemberExpression)func.Body;
        var fieldName = field.Member.Name;
        return typeof(TItem).GetEvent (fieldName);
    }
}
