﻿using System.Text;
using System;

public static class StringExtension
{
    public static byte[] ToBytes(this string str)
    {
        return Encoding.Unicode.GetBytes(str);
    }

    public static byte[] ToBytes(this string str, Encoding encoding)
    {
        return encoding.GetBytes(str);
    }

    public static string DecodeBase64(this string encodedString, Encoding encoding)
    {
        return Convert.FromBase64String(encodedString).ToString(encoding);
    }
}
