﻿
using System.ComponentModel.Composition.Hosting;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Unity.ObjectBuilder;

namespace MachinaAurum.Unity.Mef
{
    public class MefUnityContainerExtension : UnityContainerExtension
    {
        private CompositionContainer Mef;

        public MefUnityContainerExtension(CompositionContainer mef)
        {
            Mef = mef;
        }
        protected override void Initialize()
        {
            MefUnityBuildPlanStrategy strategy = new MefUnityBuildPlanStrategy(Mef);
            this.Context.Strategies.Add(strategy, UnityBuildStage.Initialization);
        }
    }
}
