﻿using System.Linq;
using MachinaAurum.Xna.Graphics;

namespace MachinaAurum.Xna.DirectX10
{
    class DirectX10EffectTechnique : AurumEffectTechnique
    {
        private SlimDX.Direct3D10.EffectTechnique Technique;

        public DirectX10EffectTechnique(SlimDX.Direct3D10.EffectTechnique technique)
        {
            Technique = technique;

            Passes = Enumerable.Range(0, Technique.Description.PassCount)
                .Select(i => technique.GetPassByIndex(i))
                .Select(x => new DirectX10EffectPass(x));
        }
    }
}
