﻿
namespace MachinaAurum.Xna
{
    public static class XnaToSlimDxExtensions
    {
        public static System.Drawing.Color ToSystemDrawingColor(this Microsoft.Xna.Framework.Color color)
        {
            return System.Drawing.Color.FromArgb(color.A, color.R, color.G, color.B);
        }

        public static SlimDX.Matrix AsSlimDX(this Microsoft.Xna.Framework.Matrix matrix)
        {
            var finalMatrix = new SlimDX.Matrix();
            finalMatrix.M11 = matrix.M11;
            finalMatrix.M21 = matrix.M21;
            finalMatrix.M31 = matrix.M31;
            finalMatrix.M41 = matrix.M41;

            finalMatrix.M12 = matrix.M12;
            finalMatrix.M22 = matrix.M22;
            finalMatrix.M32 = matrix.M32;
            finalMatrix.M42 = matrix.M42;

            finalMatrix.M13 = matrix.M13;
            finalMatrix.M23 = matrix.M23;
            finalMatrix.M33 = matrix.M33;
            finalMatrix.M43 = matrix.M43;

            finalMatrix.M14 = matrix.M14;
            finalMatrix.M24 = matrix.M24;
            finalMatrix.M34 = matrix.M34;
            finalMatrix.M44 = matrix.M44;

            return finalMatrix;
        }
    }
}
