﻿using Microsoft.Xna.Framework.Content;
using MachinaAurum.Xna.Graphics.Effects;

namespace MachinaAurum.Xna.Graphics.ContentTypeReaders
{
    public class AurumEffectReader : ContentTypeReader, IAurumEffectReader
    {
        public AurumEffectReader()
            : base(typeof(AurumEffect))
        {

        }

        // Methods
        protected override object Read(ContentReader input, object existingInstance)
        {
            input.ReadVector3();
            input.ReadVector3();
            input.ReadVector3();
            input.ReadSingle();
            input.ReadSingle();
            input.ReadBoolean();
            return Devices.Graphic.CreateEffect( new BasicEffect() );
        }
    }
}
