﻿using Microsoft.Xna.Framework.Content;

namespace MachinaAurum.Xna.Graphics.ContentTypeReaders
{
    public class ContentReaderWrapper : IStreamReader
    {
        ContentReader Reader;

        public ContentReaderWrapper( ContentReader reader )
        {
            Reader = reader;
        }

        #region IStreamReader Members

        public T ReadRawObject<T>()
        {
            return Reader.ReadRawObject<T>();
        }

        public int ReadInt32()
        {
            return Reader.ReadInt32();
        }

        public byte[] ReadBytes(int size)
        {
            return Reader.ReadBytes(size);
        }

        #endregion
    }
}
