﻿
namespace MachinaAurum.Xna.Graphics
{
    public class AurumModelMeshPart : IAurumModelMeshPart
    {
        private int vertexOffset;
        private int numVertices;
        private int startIndex;
        private int primitiveCount;
        private object tag;

        public AurumModelMeshPart(int vertexOffset, int numVertices, int startIndex, int primitiveCount, object tag)
        {
            this.vertexOffset = vertexOffset;
            this.numVertices = numVertices;
            this.startIndex = startIndex;
            this.primitiveCount = primitiveCount;
            this.tag = tag;
        }

        public IAurumVertexBuffer VertexBuffer { get; set; }
        public IAurumIndexBuffer IndexBuffer { get; set; }
        public IAurumEffect Effect { get; set; }

        public void Draw()
        {
            VertexBuffer.Apply();
            IndexBuffer.Draw();
        }
    }
}
