﻿using System;
using System.ComponentModel.Composition;

namespace MachinaAurum.Xna.Graphics
{
    [MetadataAttribute]
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false, Inherited = false)]
    public class GraphicDeviceAttribute : ExportAttribute, IGraphicDeviceMetadata
    {
        public string Api { get; private set; }

        public GraphicDeviceAttribute(string api)
            : base(typeof(IGraphicDevice))
        {
            Api = api;
        }
    }
}
