﻿using System;
using System.ComponentModel.Composition;
using MachinaAurum.Xna.Graphics.Effects;
using Microsoft.Practices.Unity;
using Microsoft.Xna.Framework;

namespace MachinaAurum.Xna.Graphics.Xna
{
    [GraphicDevice ( api: "Xna4" )]
    public class Xna4GraphicDevice : IGraphicDevice
    {
        GraphicsDeviceManager GraphicsDeviceManager;
       
        [ImportingConstructor]
        public Xna4GraphicDevice( Game game )
        {
            GraphicsDeviceManager = new GraphicsDeviceManager(game);
        }

        #region IGraphicDevice Members

        public IAurumVertexBuffer CreateVertexBuffer(Microsoft.Xna.Framework.Graphics.VertexDeclaration vertexDeclaration, int vertexCount)
        {
            throw new NotImplementedException();
        }

        public IAurumIndexBuffer CreateIndexBuffer(int indexSize, int indexCount)
        {
            throw new NotImplementedException();
        }
        
        public void Create( Game game )
        {
            throw new NotImplementedException();
        }

        public IAurumEffect CreateEffect( IEffectCode code)
        {
            throw new NotImplementedException();
        }
        
        public void Clear(Color color)
        {
            throw new NotImplementedException();
        }
        
        public void Present()
        {
            throw new NotImplementedException();
        }

        #endregion

        #region IDisposable Members

        public void Dispose()
        {
            (GraphicsDeviceManager as IDisposable).Dispose();
        }

        #endregion

        #region IGraphicDevice Members


        public void DrawUserPrimitives<T>(Microsoft.Xna.Framework.Graphics.PrimitiveType primitiveType, T[] data, int offset, int primitiveCount, IAurumEffect effect)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
