﻿using System.Collections.Generic;

namespace MachinaAurum.Xna
{
    public interface IAurumModelBone
    {
        int Index { get; }
        string Name { get; }

        Microsoft.Xna.Framework.Matrix Transform { get; set; }

        IAurumModelBone Parent { get; }
        IEnumerable<IAurumModelBone> Children { get; }

        void SetParentAndChildren(IAurumModelBone newParent, IEnumerable<IAurumModelBone> newChildren);
    }
}
